## Intro ##

Even tho CMK itself advises against it, under some conditions this still is a viable option.
So to show how, i’ve written this small tutorial.

### Assumptions: ##

* a running LXC-Container with a supported OS for CheckMK on Proxmox.<br />
* basic setup of CheckMK (any edition) - with atleast one site configured.<br />

## Issue seen (without further configuration)

On Console starting or restarting the Temporary filesystem will give a warning - indicating performance is not optimal when doing a (re-)start.

```
Creating temporary filesystem /omd/sites/testsite/tmp...mount: /opt/omd/sites/testsite/tmp: can't find in /etc/fstab.
WARNING: You may continue without tmpfs, but the performance of Check_MK may be degraded.
```

## Solution:

For every configured site on the box edit (even if it does not exist) with your favorite editor /etc/fstab and enter the following information (per-site):

```
tmpfs   /opt/omd/sites/<yoursitename>/tmp     tmpfs   noauto,user,mode=755,uid=<yoursitename>,gid=<yoursitename> 2 0 0
```
After having made these adjustment you will have to restart the box.

Result:

You now have a temporary filesystem in place for a/the sites you are running without OMD complaining about missing tmpfs.

Happy monitoring !